com.sun.grid.jgdi.configuration

## Class ExecHostImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ExecHostImpl

- All Implemented Interfaces:
    ExecHost, GEObject, java.io.Serializable, java.lang.Cloneable

      public class ExecHostImpl
      extends GEObjectImpl
      implements ExecHost

  Java representation of the cull object EH_Type defined in sge_all_listsL.template

  Warning: The ExecHostImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecHostImpl()` Create a new instance of ExecHostImpl.
    `ExecHostImpl(boolean initWithDefaultValues)` Create a new instanceof
    `ExecHostImpl(java.lang.String name)` Create a new instance of ExecHostImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(UserSet aacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addConsumableConfig(ComplexEntry aconsumableConfig)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addPrj(Project aprj)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `addReportVariables(java.lang.String areportVariables)` Add a java.lang.String attribute.
    `void` | `addXacl(UserSet axacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXprj(Project axprj)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `ComplexEntry` | `getConsumableConfig(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getConsumableConfigCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getConsumableConfigList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getDefaultLoad()` Get the default value of the attribute load.
    `double` | `getDefaultScaling()` Get the default value of the attribute scaling.
    `double` | `getDefaultUsageScaling()` Get the default value of the attribute usageScaling.
    `java.lang.String` | `getLoad(java.lang.String key)` Get the load attribute for a key.
    `int` | `getLoadCount()` Get the number of keys which have the attribute load set.
    `java.util.Set<java.lang.String>` | `getLoadKeys()` Get the set of keys which have the attribute load set.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `Project` | `getPrj(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getPrjCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getPrjList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `int` | `getProcessors()` Get the value of the processors attribute.
    `java.lang.String` | `getReportVariables(int index)` Get a java.lang.String attribute at an index.
    `int` | `getReportVariablesCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getReportVariablesList()` Get a unmodifiable list of all java.lang.String attributes.
    `double` | `getScaling(java.lang.String key)` Get the scaling attribute for a key.
    `int` | `getScalingCount()` Get the number of keys which have the attribute scaling set.
    `java.util.Set<java.lang.String>` | `getScalingKeys()` Get the set of keys which have the attribute scaling set.
    `double` | `getUsageScaling(java.lang.String key)` Get the usageScaling attribute for a key.
    `int` | `getUsageScalingCount()` Get the number of keys which have the attribute usageScaling set.
    `java.util.Set<java.lang.String>` | `getUsageScalingKeys()` Get the set of keys which have the attribute usageScaling set.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `Project` | `getXprj(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getXprjCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getXprjList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `isSetAcl()` Determine if the acl attribute is set
    `boolean` | `isSetConsumableConfig()` Determine if the consumableConfig attribute is set
    `boolean` | `isSetLoad()` Determine if any load attribute is set
    `boolean` | `isSetLoad(java.lang.String key)` Determine if any load attribute is for a key is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetPrj()` Determine if the prj attribute is set
    `boolean` | `isSetProcessors()` Determine if the processors attribute is set
    `boolean` | `isSetReportVariables()` Determine if the reportVariables attribute is set
    `boolean` | `isSetScaling()` Determine if any scaling attribute is set
    `boolean` | `isSetScaling(java.lang.String key)` Determine if any scaling attribute is for a key is set
    `boolean` | `isSetUsageScaling()` Determine if any usageScaling attribute is set
    `boolean` | `isSetUsageScaling(java.lang.String key)` Determine if any usageScaling attribute is for a key is set
    `boolean` | `isSetXacl()` Determine if the xacl attribute is set
    `boolean` | `isSetXprj()` Determine if the xprj attribute is set
    `void` | `putLoad(java.lang.String key, java.lang.String value)` Put the attribute load for a key.
    `void` | `putScaling(java.lang.String key, double value)` Put the attribute scaling for a key.
    `void` | `putUsageScaling(java.lang.String key, double value)` Put the attribute usageScaling for a key.
    `UserSet` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeAcl(UserSet aacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllConsumableConfig()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllLoad()` Remove the attribute load for all keys.
    `void` | `removeAllPrj()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `void` | `removeAllReportVariables()` Remove all java.lang.String attributes.
    `void` | `removeAllScaling()` Remove the attribute scaling for all keys.
    `void` | `removeAllUsageScaling()` Remove the attribute usageScaling for all keys.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXprj()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `removeConsumableConfig(ComplexEntry aconsumableConfig)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeConsumableConfig(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `java.lang.String` | `removeLoad(java.lang.String key)` remove the attribute load for a key.
    `Project` | `removePrj(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removePrj(Project aprj)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `removeReportVariables(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeReportVariables(java.lang.String areportVariables)` Remote a specific java.lang.String attribute.
    `java.lang.Double` | `removeScaling(java.lang.String key)` remove the attribute scaling for a key.
    `java.lang.Double` | `removeUsageScaling(java.lang.String key)` remove the attribute usageScaling for a key.
    `UserSet` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXacl(UserSet axacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `Project` | `removeXprj(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removeXprj(Project axprj)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setAcl(int index, UserSet aacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setConsumableConfig(int index, ComplexEntry aconsumableConfig)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setPrj(int index, Project aprj)` Set a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setProcessors(int aProcessors)` Set the processors attribute.
    `void` | `setReportVariables(int index, java.lang.String areportVariables)` Set a java.lang.String attribute.
    `void` | `setXacl(int index, UserSet axacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setXprj(int index, Project axprj)` Set a com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### ExecHostImpl

          public ExecHostImpl()

      Create a new instance of ExecHostImpl. The new instance will not be initialized with the default values.

    - #### ExecHostImpl

          public ExecHostImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### ExecHostImpl

          public ExecHostImpl(java.lang.String name)

      Create a new instance of ExecHostImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `ExecHost`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `ExecHost`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `ExecHost`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### putScaling

          public void putScaling(java.lang.String key,
                                 double value)

      Put the attribute scaling for a key.

      Specified by:
        `putScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultScaling

          public double getDefaultScaling()

      Get the default value of the attribute scaling.

      Specified by:
        `getDefaultScaling` in interface `ExecHost`
      Returns:
        the default value of the attribute scaling
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaling

          public double getScaling(java.lang.String key)

      Get the scaling attribute for a key.

      Specified by:
        `getScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        the scaling attribute for the host or the default value of scaling

    - #### removeScaling

          public java.lang.Double removeScaling(java.lang.String key)

      remove the attribute scaling for a key.

      Specified by:
        `removeScaling` in interface `ExecHost`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllScaling

          public void removeAllScaling()

      Remove the attribute scaling for all keys.

      Specified by:
        `removeAllScaling` in interface `ExecHost`

    - #### getScalingKeys

          public java.util.Set<java.lang.String> getScalingKeys()

      Get the set of keys which have the attribute scaling set.
      Specified by:
        `getScalingKeys` in interface `ExecHost`
      Returns:
        set of keys

    - #### getScalingCount

          public int getScalingCount()

      Get the number of keys which have the attribute scaling set.
      Specified by:
        `getScalingCount` in interface `ExecHost`
      Returns:
        the number of keys which have the attribute scaling set.

    - #### isSetScaling

          public boolean isSetScaling()

      Determine if any scaling attribute is set
      Specified by:
        `isSetScaling` in interface `ExecHost`
      Returns:
        `true` if the scaling attribute is set

    - #### isSetScaling

          public boolean isSetScaling(java.lang.String key)

      Determine if any scaling attribute is for a key is set
      Specified by:
        `isSetScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaling attribute is set

    - #### addConsumableConfig

          public void addConsumableConfig(ComplexEntry aconsumableConfig)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `addConsumableConfig` in interface `ExecHost`
      Parameters:
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setConsumableConfig

          public void setConsumableConfig(int index,
                                          ComplexEntry aconsumableConfig)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `setConsumableConfig` in interface `ExecHost`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllConsumableConfig

          public void removeAllConsumableConfig()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `removeAllConsumableConfig` in interface `ExecHost`

    - #### removeConsumableConfig

          public ComplexEntry removeConsumableConfig(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `removeConsumableConfig` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeConsumableConfig

          public boolean removeConsumableConfig(ComplexEntry aconsumableConfig)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `removeConsumableConfig` in interface `ExecHost`
      Parameters:
        `aconsumableConfig` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getConsumableConfigList

          public java.util.List<ComplexEntry> getConsumableConfigList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getConsumableConfigList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getConsumableConfigCount

          public int getConsumableConfigCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getConsumableConfigCount` in interface `ExecHost`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getConsumableConfig

          public ComplexEntry getConsumableConfig(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getConsumableConfig` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetConsumableConfig

          public boolean isSetConsumableConfig()

      Determine if the consumableConfig attribute is set
      Specified by:
        `isSetConsumableConfig` in interface `ExecHost`
      Returns:
        `true` if the consumableConfig attribute is set

    - #### putUsageScaling

          public void putUsageScaling(java.lang.String key,
                                      double value)

      Put the attribute usageScaling for a key.

      Specified by:
        `putUsageScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultUsageScaling

          public double getDefaultUsageScaling()

      Get the default value of the attribute usageScaling.

      Specified by:
        `getDefaultUsageScaling` in interface `ExecHost`
      Returns:
        the default value of the attribute usageScaling
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsageScaling

          public double getUsageScaling(java.lang.String key)

      Get the usageScaling attribute for a key.

      Specified by:
        `getUsageScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        the usageScaling attribute for the host or the default value of usageScaling

    - #### removeUsageScaling

          public java.lang.Double removeUsageScaling(java.lang.String key)

      remove the attribute usageScaling for a key.

      Specified by:
        `removeUsageScaling` in interface `ExecHost`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllUsageScaling

          public void removeAllUsageScaling()

      Remove the attribute usageScaling for all keys.

      Specified by:
        `removeAllUsageScaling` in interface `ExecHost`

    - #### getUsageScalingKeys

          public java.util.Set<java.lang.String> getUsageScalingKeys()

      Get the set of keys which have the attribute usageScaling set.
      Specified by:
        `getUsageScalingKeys` in interface `ExecHost`
      Returns:
        set of keys

    - #### getUsageScalingCount

          public int getUsageScalingCount()

      Get the number of keys which have the attribute usageScaling set.
      Specified by:
        `getUsageScalingCount` in interface `ExecHost`
      Returns:
        the number of keys which have the attribute usageScaling set.

    - #### isSetUsageScaling

          public boolean isSetUsageScaling()

      Determine if any usageScaling attribute is set
      Specified by:
        `isSetUsageScaling` in interface `ExecHost`
      Returns:
        `true` if the usageScaling attribute is set

    - #### isSetUsageScaling

          public boolean isSetUsageScaling(java.lang.String key)

      Determine if any usageScaling attribute is for a key is set
      Specified by:
        `isSetUsageScaling` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        `true` if the usageScaling attribute is set

    - #### putLoad

          public void putLoad(java.lang.String key,
                              java.lang.String value)

      Put the attribute load for a key.

      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultLoad

          public java.lang.String getDefaultLoad()

      Get the default value of the attribute load.

      Specified by:
        `getDefaultLoad` in interface `ExecHost`
      Returns:
        the default value of the attribute load
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getLoad

          public java.lang.String getLoad(java.lang.String key)

      Get the load attribute for a key.

      Specified by:
        `getLoad` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        the load attribute for the host or the default value of load

    - #### removeLoad

          public java.lang.String removeLoad(java.lang.String key)

      remove the attribute load for a key.

      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllLoad

          public void removeAllLoad()

      Remove the attribute load for all keys.

    - #### getLoadKeys

          public java.util.Set<java.lang.String> getLoadKeys()

      Get the set of keys which have the attribute load set.
      Specified by:
        `getLoadKeys` in interface `ExecHost`
      Returns:
        set of keys

    - #### getLoadCount

          public int getLoadCount()

      Get the number of keys which have the attribute load set.
      Specified by:
        `getLoadCount` in interface `ExecHost`
      Returns:
        the number of keys which have the attribute load set.

    - #### isSetLoad

          public boolean isSetLoad()

      Determine if any load attribute is set
      Specified by:
        `isSetLoad` in interface `ExecHost`
      Returns:
        `true` if the load attribute is set

    - #### isSetLoad

          public boolean isSetLoad(java.lang.String key)

      Determine if any load attribute is for a key is set
      Specified by:
        `isSetLoad` in interface `ExecHost`
      Parameters:
        `key` - the key
      Returns:
        `true` if the load attribute is set

    - #### isSetProcessors

          public boolean isSetProcessors()

      Determine if the processors attribute is set
      Specified by:
        `isSetProcessors` in interface `ExecHost`
      Returns:
        `true` if the processors attribute is set

    - #### setProcessors

          public void setProcessors(int aProcessors)

      Set the processors attribute.
      Parameters:
        `aProcessors` - the new value for the processors attribute

    - #### getProcessors

          public int getProcessors()

      Get the value of the processors attribute.
      Specified by:
        `getProcessors` in interface `ExecHost`
      Returns:
        the value of the processors attribute

    - #### addAcl

          public void addAcl(UserSet aacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addAcl` in interface `ExecHost`
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setAcl

          public void setAcl(int index,
                             UserSet aacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setAcl` in interface `ExecHost`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllAcl

          public void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllAcl` in interface `ExecHost`

    - #### removeAcl

          public UserSet removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeAcl` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          public boolean removeAcl(UserSet aacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeAcl` in interface `ExecHost`
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getAclList

          public java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          public int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclCount` in interface `ExecHost`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          public UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getAcl` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetAcl

          public boolean isSetAcl()

      Determine if the acl attribute is set
      Specified by:
        `isSetAcl` in interface `ExecHost`
      Returns:
        `true` if the acl attribute is set

    - #### addXacl

          public void addXacl(UserSet axacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `addXacl` in interface `ExecHost`
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXacl

          public void setXacl(int index,
                              UserSet axacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `setXacl` in interface `ExecHost`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXacl

          public void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `removeAllXacl` in interface `ExecHost`

    - #### removeXacl

          public UserSet removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `removeXacl` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          public boolean removeXacl(UserSet axacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Specified by:
        `removeXacl` in interface `ExecHost`
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getXaclList

          public java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          public int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclCount` in interface `ExecHost`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          public UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getXacl` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetXacl

          public boolean isSetXacl()

      Determine if the xacl attribute is set
      Specified by:
        `isSetXacl` in interface `ExecHost`
      Returns:
        `true` if the xacl attribute is set

    - #### addPrj

          public void addPrj(Project aprj)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `addPrj` in interface `ExecHost`
      Parameters:
        `aprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setPrj

          public void setPrj(int index,
                             Project aprj)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `setPrj` in interface `ExecHost`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `aprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllPrj

          public void removeAllPrj()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `removeAllPrj` in interface `ExecHost`

    - #### removePrj

          public Project removePrj(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `removePrj` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removePrj

          public boolean removePrj(Project aprj)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `removePrj` in interface `ExecHost`
      Parameters:
        `aprj` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### getPrjList

          public java.util.List<Project> getPrjList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getPrjList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getPrjCount

          public int getPrjCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getPrjCount` in interface `ExecHost`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getPrj

          public Project getPrj(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `getPrj` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetPrj

          public boolean isSetPrj()

      Determine if the prj attribute is set
      Specified by:
        `isSetPrj` in interface `ExecHost`
      Returns:
        `true` if the prj attribute is set

    - #### addXprj

          public void addXprj(Project axprj)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `addXprj` in interface `ExecHost`
      Parameters:
        `axprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setXprj

          public void setXprj(int index,
                              Project axprj)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `setXprj` in interface `ExecHost`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `axprj` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllXprj

          public void removeAllXprj()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `removeAllXprj` in interface `ExecHost`

    - #### removeXprj

          public Project removeXprj(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `removeXprj` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removeXprj

          public boolean removeXprj(Project axprj)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Specified by:
        `removeXprj` in interface `ExecHost`
      Parameters:
        `axprj` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### getXprjList

          public java.util.List<Project> getXprjList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getXprjList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getXprjCount

          public int getXprjCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getXprjCount` in interface `ExecHost`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getXprj

          public Project getXprj(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `getXprj` in interface `ExecHost`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetXprj

          public boolean isSetXprj()

      Determine if the xprj attribute is set
      Specified by:
        `isSetXprj` in interface `ExecHost`
      Returns:
        `true` if the xprj attribute is set

    - #### addReportVariables

          public void addReportVariables(java.lang.String areportVariables)

      Add a java.lang.String attribute.
      Specified by:
        `addReportVariables` in interface `ExecHost`
      Parameters:
        `areportVariables` - the new java.lang.String attribute

    - #### setReportVariables

          public void setReportVariables(int index,
                                         java.lang.String areportVariables)

      Set a java.lang.String attribute.
      Specified by:
        `setReportVariables` in interface `ExecHost`
      Parameters:
        `index` - index of the java.lang.String attribute
        `areportVariables` - the new java.lang.String attribute

    - #### removeAllReportVariables

          public void removeAllReportVariables()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllReportVariables` in interface `ExecHost`

    - #### removeReportVariables

          public java.lang.String removeReportVariables(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeReportVariables` in interface `ExecHost`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeReportVariables

          public boolean removeReportVariables(java.lang.String areportVariables)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeReportVariables` in interface `ExecHost`
      Parameters:
        `areportVariables` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getReportVariablesList

          public java.util.List<java.lang.String> getReportVariablesList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getReportVariablesList` in interface `ExecHost`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getReportVariablesCount

          public int getReportVariablesCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getReportVariablesCount` in interface `ExecHost`
      Returns:
        The number of java.lang.String attributes.

    - #### getReportVariables

          public java.lang.String getReportVariables(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getReportVariables` in interface `ExecHost`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetReportVariables

          public boolean isSetReportVariables()

      Determine if the reportVariables attribute is set
      Specified by:
        `isSetReportVariables` in interface `ExecHost`
      Returns:
        `true` if the reportVariables attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ExecHost`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.